Skip to main content
POST
Assess an exact saved report revision
Required scopes: reports:read.

Authorizations

Authorization
string
header
required

Delegated application credential issued after Chatobserver account consent. Restricted to selected workspaces and explicitly supported MCP operations. The MCP server access token is a separate credential and cannot be used here.

Headers

x-workspace-id
string
required

Explicit workspace selected for the delegated account.

Pattern: ^ws_[a-f0-9]{32}$
Idempotency-Key
string<uuid>
required

Path Parameters

reportId
string<uuid>
required

Body

application/json
target
object
required
profile
object
required
pageSelection
object
required
contexts
object[]
required
Required array length: 1 - 256 elements
dataPolicy
enum<string>
required
Available options:
require_existing_output,
allow_declared_empty_states
requiredChecks
string
required
Allowed value: "profile_defaults"
emptyStateDeclarations
object[]
Maximum array length: 1000

Response

Identical idempotent replay.

data
object
required